# Accordion

The accordion component is a simple way to show and hide content. Build vertically collapsing accordions in combination with our Collapse JavaScript plugin.

## Bootstrap Documentation

<https://getbootstrap.com/docs/5.3/components/accordion/>

## Usage

**Example 1**: Simple Accordion usage

```twig
  {% include 'radix:accordion' with {
    title: 'Yolo!',
    open_item_id: 1,
    title_tag: 'h2',
    flush: true,
    items: [
      {
        title: 'Item 1',
        title_tag: 'h3',
        content: 'Content 1',
      },
      {
        title: 'Item 2',
        title_tag: 'h3',
        content: 'Content 2',
      },
      {
        title: 'Item 3',
        title_tag: 'h3',
        content: 'Content 3',
      },
    ],
  } %}
```

**Example 2**: Advanced usage of Accordion usage in `views-view--unformatted`:

```twig
{% embed "radix:views-view--unformatted" %}
  {% block views_unformatted_rows %}
    {% set accordion_items = [] %}
    {% for row in rows %}
      {% set node = row.content['#node'] %}
      {% set node_title = node.getTitle() %}
      {% set node_body = node.body.processed %}
      {% set accordion_item = {
        title_tag: 'h3',
        title: node_title,
        content: node_body,
      } %}

      {% set accordion_items = accordion_items|merge([accordion_item]) %}
    {% endfor %}

    {% include 'radix:accordion' with {
      open_item_id: 1,
      id: 'faq',
      flush: true,
      items: accordion_items
    } %}
  {% endblock %}
{% endembed %}
```
